create index IX_58D4EA4C on Address (companyId, classNameId, classPK, typeId)
go
create index IX_CBAD282F on Address (companyId, externalReferenceCode)
go
create index IX_5A2093E7 on Address (countryId)
go
create index IX_C8E3E87D on Address (regionId)
go
create index IX_5BC8B0D4 on Address (userId)
go
create index IX_8FCB620E on Address (uuid_, companyId)
go

create index IX_37B0A8A2 on AnnouncementsDelivery (companyId)
go
create unique index IX_BA4413D5 on AnnouncementsDelivery (userId, type_)
go

create index IX_D49C2E66 on AnnouncementsEntry (userId)
go
create index IX_F2949120 on AnnouncementsEntry (uuid_, companyId)
go

create index IX_EF1F022A on AnnouncementsFlag (companyId)
go
create index IX_9C7EB9F on AnnouncementsFlag (entryId)
go
create unique index IX_4539A99C on AnnouncementsFlag (userId, entryId, value)
go

create index IX_AE8DFA7 on AssetCategory (companyId, externalReferenceCode, ctCollectionId)
go
create index IX_1757FA92 on AssetCategory (ctCollectionId)
go
create index IX_62DC0D54 on AssetCategory (groupId, ctCollectionId)
go
create index IX_A497FDE5 on AssetCategory (groupId, externalReferenceCode, ctCollectionId)
go
create index IX_3E49A228 on AssetCategory (groupId, name, vocabularyId, ctCollectionId)
go
create index IX_5159C90B on AssetCategory (groupId, parentCategoryId, ctCollectionId)
go
create index IX_852EA801 on AssetCategory (groupId, parentCategoryId, name, vocabularyId)
go
create index IX_51264AA0 on AssetCategory (groupId, parentCategoryId, vocabularyId, ctCollectionId)
go
create index IX_7EF2DB29 on AssetCategory (groupId, vocabularyId, ctCollectionId)
go
create index IX_8F988466 on AssetCategory (name, vocabularyId, ctCollectionId)
go
create index IX_88D822C9 on AssetCategory (parentCategoryId, ctCollectionId)
go
create index IX_83C2D848 on AssetCategory (parentCategoryId, name, ctCollectionId)
go
create unique index IX_DC516B1D on AssetCategory (parentCategoryId, name, vocabularyId, ctCollectionId)
go
create index IX_8CEDBFDE on AssetCategory (parentCategoryId, vocabularyId, ctCollectionId)
go
create index IX_59B2EF86 on AssetCategory (uuid_, companyId, ctCollectionId)
go
create index IX_A9CC915E on AssetCategory (uuid_, ctCollectionId)
go
create unique index IX_5B65C08 on AssetCategory (uuid_, groupId, ctCollectionId)
go
create index IX_24AFC3E7 on AssetCategory (vocabularyId, ctCollectionId)
go

create index IX_112337B8 on AssetEntries_AssetTags (companyId)
go
create index IX_B2A61B55 on AssetEntries_AssetTags (tagId)
go

create unique index IX_7BF8337B on AssetEntry (classNameId, classPK, ctCollectionId)
go
create index IX_25F682BE on AssetEntry (companyId, ctCollectionId)
go
create index IX_E504D126 on AssetEntry (ctCollectionId)
go
create index IX_8839F457 on AssetEntry (expirationDate, ctCollectionId)
go
create index IX_B516ADB0 on AssetEntry (groupId, classNameId, publishDate, expirationDate, ctCollectionId)
go
create index IX_683ADC7F on AssetEntry (groupId, classUuid, ctCollectionId)
go
create index IX_D5B55D40 on AssetEntry (groupId, ctCollectionId)
go
create index IX_5B55565F on AssetEntry (layoutUuid, ctCollectionId)
go
create index IX_788964E3 on AssetEntry (publishDate, ctCollectionId)
go

create index IX_5D969E8E on AssetLink (ctCollectionId)
go
create index IX_9BB95D26 on AssetLink (entryId1, ctCollectionId)
go
create index IX_97B1F7F on AssetLink (entryId1, entryId2, ctCollectionId)
go
create unique index IX_7FC555F2 on AssetLink (entryId1, entryId2, type_, ctCollectionId)
go
create index IX_F75CBE6B on AssetLink (entryId1, type_, ctCollectionId)
go
create index IX_6963BEE7 on AssetLink (entryId2, ctCollectionId)
go
create index IX_F936118A on AssetLink (entryId2, type_, ctCollectionId)
go

create index IX_E534924E on AssetTag (ctCollectionId)
go
create index IX_24286918 on AssetTag (groupId, ctCollectionId)
go
create unique index IX_AA52E757 on AssetTag (groupId, name, ctCollectionId)
go
create index IX_7A6CD00D on AssetTag (name, ctCollectionId)
go
create index IX_71579042 on AssetTag (uuid_, companyId, ctCollectionId)
go
create index IX_E7450E22 on AssetTag (uuid_, ctCollectionId)
go
create unique index IX_A43FBC4 on AssetTag (uuid_, groupId, ctCollectionId)
go

create index IX_F75DCEEA on AssetVocabulary (companyId, ctCollectionId)
go
create index IX_6496D38F on AssetVocabulary (companyId, externalReferenceCode, ctCollectionId)
go
create index IX_49B3687A on AssetVocabulary (ctCollectionId)
go
create index IX_4E99C46C on AssetVocabulary (groupId, ctCollectionId)
go
create index IX_9181CBCD on AssetVocabulary (groupId, externalReferenceCode, ctCollectionId)
go
create unique index IX_AE9F73AB on AssetVocabulary (groupId, name, ctCollectionId)
go
create index IX_2C944C4C on AssetVocabulary (groupId, visibilityType, ctCollectionId)
go
create index IX_B955B36E on AssetVocabulary (uuid_, companyId, ctCollectionId)
go
create index IX_2F3D2E76 on AssetVocabulary (uuid_, ctCollectionId)
go
create unique index IX_8F88F9F0 on AssetVocabulary (uuid_, groupId, ctCollectionId)
go

create unique index IX_E7B95510 on BrowserTracker (userId)
go

create unique index IX_B27A301F on ClassName_ (value)
go

create index IX_38EFE3FD on Company (logoId)
go
create index IX_12566EC2 on Company (mx)
go
create unique index IX_EC00543C on Company (webId)
go

create unique index IX_85C63FD7 on CompanyInfo (companyId)
go

create index IX_791914FA on Contact_ (classNameId, classPK)
go
create index IX_66D496A3 on Contact_ (companyId)
go

create unique index IX_742FFB11 on Country (companyId, a2)
go
create unique index IX_742FFED2 on Country (companyId, a3)
go
create unique index IX_410257AB on Country (companyId, name)
go
create unique index IX_4B78E87A on Country (companyId, number_)
go
create index IX_BEAF8B0 on Country (uuid_, companyId)
go

create unique index IX_518948B3 on CountryLocalization (countryId, languageId)
go

create index IX_33E8A112 on DLFileEntry (companyId, ctCollectionId)
go
create index IX_5444C427 on DLFileEntry (companyId, fileEntryTypeId)
go
create index IX_9B56081C on DLFileEntry (custom1ImageId, ctCollectionId)
go
create index IX_9D2F5B3B on DLFileEntry (custom2ImageId, ctCollectionId)
go
create index IX_C0A6F645 on DLFileEntry (fileEntryTypeId, ctCollectionId)
go
create index IX_F951AC2E on DLFileEntry (folderId, name, ctCollectionId)
go
create index IX_60830094 on DLFileEntry (groupId, ctCollectionId)
go
create index IX_273362A5 on DLFileEntry (groupId, externalReferenceCode, ctCollectionId)
go
create index IX_BAF654E5 on DLFileEntry (groupId, fileEntryTypeId)
go
create index IX_95A2D1F1 on DLFileEntry (groupId, folderId, ctCollectionId)
go
create index IX_D8883586 on DLFileEntry (groupId, folderId, fileEntryTypeId, ctCollectionId)
go
create unique index IX_A256938C on DLFileEntry (groupId, folderId, fileName, ctCollectionId)
go
create unique index IX_F7878970 on DLFileEntry (groupId, folderId, name, ctCollectionId)
go
create unique index IX_EAAB273 on DLFileEntry (groupId, folderId, title, ctCollectionId)
go
create index IX_3B20ECE on DLFileEntry (groupId, userId, ctCollectionId)
go
create index IX_87A8DFAB on DLFileEntry (groupId, userId, folderId, ctCollectionId)
go
create index IX_863591A1 on DLFileEntry (largeImageId, ctCollectionId)
go
create index IX_72175754 on DLFileEntry (mimeType, ctCollectionId)
go
create index IX_6EC7490B on DLFileEntry (repositoryId, ctCollectionId)
go
create index IX_277C31A8 on DLFileEntry (repositoryId, folderId, ctCollectionId)
go
create index IX_A8521555 on DLFileEntry (smallImageId, ctCollectionId)
go
create index IX_854E0F17 on DLFileEntry (smallImageId, largeImageId, custom1ImageId, custom2ImageId, ctCollectionId)
go
create index IX_1F89A446 on DLFileEntry (uuid_, companyId, ctCollectionId)
go
create index IX_CF17549E on DLFileEntry (uuid_, ctCollectionId)
go
create unique index IX_373340C8 on DLFileEntry (uuid_, groupId, ctCollectionId)
go

create unique index IX_B9210CAD on DLFileEntryMetadata (DDMStructureId, fileVersionId, ctCollectionId)
go
create index IX_8D4F58BC on DLFileEntryMetadata (fileEntryId, ctCollectionId)
go
create index IX_A158EA62 on DLFileEntryMetadata (fileVersionId, ctCollectionId)
go
create index IX_EABA15 on DLFileEntryMetadata (uuid_, companyId, ctCollectionId)
go
create index IX_EAA9CA2F on DLFileEntryMetadata (uuid_, ctCollectionId)
go

create index IX_C0561BFA on DLFileEntryType (groupId, ctCollectionId)
go
create unique index IX_B6F21286 on DLFileEntryType (groupId, dataDefinitionId, ctCollectionId)
go
create unique index IX_402227BD on DLFileEntryType (groupId, fileEntryTypeKey, ctCollectionId)
go
create index IX_F147FBA0 on DLFileEntryType (uuid_, companyId, ctCollectionId)
go
create index IX_17A61184 on DLFileEntryType (uuid_, ctCollectionId)
go
create unique index IX_1773A6A2 on DLFileEntryType (uuid_, groupId, ctCollectionId)
go

create index IX_2E64D9F9 on DLFileEntryTypes_DLFolders (companyId)
go
create index IX_6E00A2EC on DLFileEntryTypes_DLFolders (folderId)
go

create index IX_A46E54B6 on DLFileShortcut (companyId, ctCollectionId)
go
create index IX_80362F9C on DLFileShortcut (companyId, status, ctCollectionId)
go
create index IX_869CA195 on DLFileShortcut (groupId, folderId, ctCollectionId)
go
create index IX_5CAA7254 on DLFileShortcut (toFileEntryId, ctCollectionId)
go
create index IX_FE055022 on DLFileShortcut (uuid_, companyId, ctCollectionId)
go
create index IX_21B07A42 on DLFileShortcut (uuid_, ctCollectionId)
go
create unique index IX_DD2033A4 on DLFileShortcut (uuid_, groupId, ctCollectionId)
go

create index IX_97782D6C on DLFileVersion (companyId, ctCollectionId)
go
create index IX_808EF252 on DLFileVersion (companyId, status, ctCollectionId)
go
create index IX_759EF1C5 on DLFileVersion (fileEntryId, ctCollectionId)
go
create index IX_C97C4DAB on DLFileVersion (fileEntryId, status, ctCollectionId)
go
create unique index IX_10E504DF on DLFileVersion (fileEntryId, version, ctCollectionId)
go
create index IX_3A12DA31 on DLFileVersion (groupId, folderId, status, ctCollectionId)
go
create index IX_DCA2C64B on DLFileVersion (groupId, folderId, title, version, ctCollectionId)
go
create index IX_9E97D7BA on DLFileVersion (mimeType, ctCollectionId)
go
create index IX_16CE5EAC on DLFileVersion (uuid_, companyId, ctCollectionId)
go
create index IX_48BF1DF8 on DLFileVersion (uuid_, ctCollectionId)
go
create unique index IX_350F5CAE on DLFileVersion (uuid_, groupId, ctCollectionId)
go

create index IX_67A46FAA on DLFolder (companyId, ctCollectionId)
go
create index IX_F1EC1690 on DLFolder (companyId, status, ctCollectionId)
go
create index IX_9D91952C on DLFolder (groupId, ctCollectionId)
go
create index IX_CF68C0D3 on DLFolder (groupId, parentFolderId, ctCollectionId)
go
create unique index IX_C7E346D2 on DLFolder (groupId, parentFolderId, name, ctCollectionId)
go
create index IX_4642F2E0 on DLFolder (parentFolderId, name, ctCollectionId)
go
create index IX_BB15D373 on DLFolder (repositoryId, ctCollectionId)
go
create index IX_E7CD911A on DLFolder (repositoryId, parentFolderId, ctCollectionId)
go
create index IX_333CBAAE on DLFolder (uuid_, companyId, ctCollectionId)
go
create index IX_B7722F36 on DLFolder (uuid_, ctCollectionId)
go
create unique index IX_AA08D130 on DLFolder (uuid_, groupId, ctCollectionId)
go

create index IX_7B43CD8 on EmailAddress (userId)
go
create index IX_F74AB912 on EmailAddress (uuid_, companyId)
go

create index IX_8B26D246 on ExpandoColumn (tableId, ctCollectionId)
go
create unique index IX_4A7D3605 on ExpandoColumn (tableId, name, ctCollectionId)
go

create index IX_BCC0D776 on ExpandoRow (classPK, ctCollectionId)
go
create unique index IX_488E0C53 on ExpandoRow (tableId, classPK, ctCollectionId)
go
create index IX_5C47920C on ExpandoRow (tableId, ctCollectionId)
go

create index IX_A905B6E3 on ExpandoTable (companyId, classNameId, ctCollectionId)
go
create unique index IX_87D370E2 on ExpandoTable (companyId, classNameId, name, ctCollectionId)
go

create index IX_FF8FB775 on ExpandoValue (classNameId, classPK, ctCollectionId)
go
create index IX_B5A9F1E5 on ExpandoValue (columnId, ctCollectionId)
go
create unique index IX_E6D98E43 on ExpandoValue (columnId, rowId_, ctCollectionId)
go
create index IX_FC7A3DFE on ExpandoValue (rowId_, ctCollectionId)
go
create index IX_3D37FDAA on ExpandoValue (tableId, classPK, ctCollectionId)
go
create unique index IX_D8C72C45 on ExpandoValue (tableId, columnId, classPK, ctCollectionId)
go
create index IX_8AF759DA on ExpandoValue (tableId, columnId, ctCollectionId)
go
create index IX_EEA372D5 on ExpandoValue (tableId, ctCollectionId)
go
create index IX_4E7B1F33 on ExpandoValue (tableId, rowId_, ctCollectionId)
go

create index IX_1827A2E5 on ExportImportConfiguration (companyId)
go
create index IX_38FA468D on ExportImportConfiguration (groupId, status)
go
create index IX_47CC6234 on ExportImportConfiguration (groupId, type_, status)
go

create index IX_EB3A63D9 on Group_ (classNameId, classPK, ctCollectionId)
go
create index IX_BD3CB13A on Group_ (classNameId, groupId, companyId, parentGroupId)
go
create unique index IX_504CABF5 on Group_ (companyId, classNameId, classPK, ctCollectionId)
go
create index IX_2442742A on Group_ (companyId, classNameId, ctCollectionId)
go
create index IX_B7EBDBB2 on Group_ (companyId, classNameId, parentGroupId, ctCollectionId)
go
create index IX_286EE120 on Group_ (companyId, ctCollectionId)
go
create unique index IX_9A7D6AD0 on Group_ (companyId, friendlyURL, ctCollectionId)
go
create unique index IX_BE219CF4 on Group_ (companyId, groupKey, ctCollectionId)
go
create index IX_A20523FC on Group_ (companyId, parentGroupId, ctCollectionId)
go
create index IX_8060F096 on Group_ (liveGroupId, ctCollectionId)
go
create index IX_21CBD878 on Group_ (uuid_, companyId, ctCollectionId)
go
create index IX_BFEBCBAC on Group_ (uuid_, ctCollectionId)
go

create index IX_8BFD4548 on Groups_Orgs (companyId)
go
create index IX_6BBB7682 on Groups_Orgs (organizationId)
go

create index IX_557D8550 on Groups_Roles (companyId)
go
create index IX_3103EF3D on Groups_Roles (roleId)
go

create index IX_676FC818 on Groups_UserGroups (companyId)
go
create index IX_3B69160F on Groups_UserGroups (userGroupId)
go

create index IX_9720F6AB on Image (size_, ctCollectionId)
go

create index IX_31B45343 on Layout (classNameId, classPK, ctCollectionId)
go
create index IX_4B906FF6 on Layout (companyId, ctCollectionId)
go
create index IX_8F868C29 on Layout (companyId, layoutPrototypeUuid, ctCollectionId)
go
create index IX_FD5AF6EE on Layout (ctCollectionId)
go
create index IX_34D93878 on Layout (groupId, ctCollectionId)
go
create index IX_12770E8F on Layout (groupId, masterLayoutPlid, ctCollectionId)
go
create index IX_94E0E2D9 on Layout (groupId, type_, ctCollectionId)
go
create index IX_E7B06BDB on Layout (iconImageId, ctCollectionId)
go
create index IX_11389031 on Layout (layoutPrototypeUuid, ctCollectionId)
go
create index IX_7F60B703 on Layout (parentPlid, ctCollectionId)
go
create index IX_ED8D4D2A on Layout (sourcePrototypeLayoutUuid, ctCollectionId)
go
create index IX_24AA0CE2 on Layout (uuid_, companyId, ctCollectionId)
go
create index IX_5AA23582 on Layout (uuid_, ctCollectionId)
go

create unique index IX_FD57097D on LayoutBranch (layoutSetBranchId, plid, name)
go

create index IX_1C55E26 on LayoutFriendlyURL (companyId, ctCollectionId)
go
create index IX_7ED3F2A8 on LayoutFriendlyURL (groupId, ctCollectionId)
go
create index IX_EF247709 on LayoutFriendlyURL (plid, ctCollectionId)
go
create index IX_CB1E7787 on LayoutFriendlyURL (plid, friendlyURL, ctCollectionId)
go
create unique index IX_2069E0D0 on LayoutFriendlyURL (plid, languageId, ctCollectionId)
go
create index IX_9DE5C8B2 on LayoutFriendlyURL (uuid_, companyId, ctCollectionId)
go
create index IX_C765BBB2 on LayoutFriendlyURL (uuid_, ctCollectionId)
go
create unique index IX_58E59034 on LayoutFriendlyURL (uuid_, groupId, ctCollectionId)
go

create index IX_63ED2532 on LayoutPrototype (uuid_, companyId)
go

create index IX_13984800 on LayoutRevision (layoutSetBranchId, layoutBranchId, plid)
go
create index IX_4A84AF43 on LayoutRevision (layoutSetBranchId, parentLayoutRevisionId, plid)
go
create index IX_70DA9ECB on LayoutRevision (layoutSetBranchId, plid, status)
go
create index IX_7FFAE700 on LayoutRevision (layoutSetBranchId, status)
go
create index IX_8EC3D2BC on LayoutRevision (plid, status)
go
create index IX_421223B1 on LayoutRevision (status)
go

create index IX_20615181 on LayoutSet (companyId, layoutSetPrototypeUuid, ctCollectionId)
go
create index IX_5B990A4A on LayoutSet (groupId, ctCollectionId)
go
create index IX_55443115 on LayoutSet (layoutSetPrototypeUuid, ctCollectionId)
go


create index IX_D9FFCA84 on LayoutSetPrototype (uuid_, companyId)
go

create unique index IX_77729718 on ListType (name, type_)
go
create index IX_2932DD37 on ListType (type_)
go

create index IX_C28C72EC on MembershipRequest (groupId, statusId)
go
create index IX_35AA8FA6 on MembershipRequest (groupId, userId, statusId)
go
create index IX_66D70879 on MembershipRequest (userId)
go

create index IX_4A527DD3 on OrgGroupRole (groupId)
go
create index IX_AB044D1C on OrgGroupRole (roleId)
go

create index IX_6AF0D434 on OrgLabor (organizationId)
go

create index IX_2C1E7914 on Organization_ (companyId, ctCollectionId)
go
create index IX_38F85A25 on Organization_ (companyId, externalReferenceCode, ctCollectionId)
go
create unique index IX_F1E40A53 on Organization_ (companyId, name, ctCollectionId)
go
create index IX_7A5E9780 on Organization_ (companyId, parentOrganizationId, ctCollectionId)
go
create index IX_DC36A7BF on Organization_ (companyId, parentOrganizationId, name, ctCollectionId)
go
create index IX_3F532604 on Organization_ (uuid_, companyId, ctCollectionId)
go
create index IX_206D7DA0 on Organization_ (uuid_, ctCollectionId)
go

create unique index IX_3FBFA9F4 on PasswordPolicy (companyId, name)
go
create index IX_E4D7EF87 on PasswordPolicy (uuid_, companyId)
go

create unique index IX_C3A17327 on PasswordPolicyRel (classNameId, classPK)
go
create index IX_CD25266E on PasswordPolicyRel (passwordPolicyId)
go

create index IX_326F75BD on PasswordTracker (userId)
go

create index IX_F202B9CE on Phone (userId)
go
create index IX_B271FA88 on Phone (uuid_, companyId)
go

create unique index IX_7171B2E8 on PluginSetting (companyId, pluginId, pluginType)
go

create unique index IX_A6DD0ECF on PortalPreferenceValue (portalPreferencesId, index_, key_, namespace)
go
create index IX_9FF9CC4E on PortalPreferenceValue (portalPreferencesId, key_, namespace, smallValue)
go
create index IX_4C7A38C4 on PortalPreferenceValue (portalPreferencesId, namespace)
go

create index IX_D1F795F1 on PortalPreferences (ownerId, ownerType)
go

create unique index IX_12B5E51D on Portlet (companyId, portletId)
go

create index IX_96BDD537 on PortletItem (groupId, classNameId)
go
create index IX_D699243F on PortletItem (groupId, name, portletId, classNameId)
go
create index IX_E922D6C0 on PortletItem (groupId, portletId, classNameId)
go

create index IX_4462FCD on PortletPreferenceValue (portletPreferencesId, ctCollectionId)
go
create unique index IX_AD38E28D on PortletPreferenceValue (portletPreferencesId, index_, name, ctCollectionId)
go
create index IX_B94C124C on PortletPreferenceValue (portletPreferencesId, name, ctCollectionId)
go
create index IX_2E0FE9EA on PortletPreferenceValue (portletPreferencesId, name, smallValue, ctCollectionId)
go

create index IX_F0B8A3A0 on PortletPreferences (companyId, ownerId, ownerType, portletId, ctCollectionId)
go
create index IX_31DA3CB8 on PortletPreferences (ownerId, ctCollectionId)
go
create index IX_451D78CC on PortletPreferences (ownerId, ownerType, plid, ctCollectionId)
go
create unique index IX_CB778855 on PortletPreferences (ownerId, ownerType, plid, portletId, ctCollectionId)
go
create index IX_258CCF40 on PortletPreferences (ownerId, ownerType, portletId, ctCollectionId)
go
create index IX_D48717FF on PortletPreferences (ownerType, plid, portletId, ctCollectionId)
go
create index IX_D6C3E66A on PortletPreferences (ownerType, portletId, ctCollectionId)
go
create index IX_C77A74AD on PortletPreferences (plid, ctCollectionId)
go
create index IX_67E205D4 on PortletPreferences (plid, portletId, ctCollectionId)
go
create index IX_8D0717FF on PortletPreferences (portletId, ctCollectionId)
go

create index IX_FD0395B5 on RatingsEntry (classNameId, classPK, ctCollectionId)
go
create index IX_66592BE9 on RatingsEntry (classNameId, classPK, score, ctCollectionId)
go
create unique index IX_B938D06F on RatingsEntry (userId, classNameId, classPK, ctCollectionId)
go
create index IX_CBD05854 on RatingsEntry (uuid_, companyId, ctCollectionId)
go
create index IX_A4389D50 on RatingsEntry (uuid_, ctCollectionId)
go

create unique index IX_C286E0E2 on RatingsStats (classNameId, classPK, ctCollectionId)
go
create index IX_5EC6007D on RatingsStats (classNameId, createDate)
go
create index IX_11A5584A on RatingsStats (classNameId, modifiedDate)
go

create index IX_B91F79BD on RecentLayoutBranch (groupId)
go
create index IX_351E86E8 on RecentLayoutBranch (layoutBranchId)
go
create unique index IX_C27D6369 on RecentLayoutBranch (userId, layoutSetBranchId, plid)
go

create index IX_8D8A2724 on RecentLayoutRevision (groupId)
go
create index IX_DA0788DA on RecentLayoutRevision (layoutRevisionId)
go
create unique index IX_4C600BD0 on RecentLayoutRevision (userId, layoutSetBranchId, plid)
go

create index IX_711995A5 on RecentLayoutSetBranch (groupId)
go
create index IX_23FF0700 on RecentLayoutSetBranch (layoutSetBranchId)
go
create unique index IX_4654D204 on RecentLayoutSetBranch (userId, layoutSetId)
go

create unique index IX_A2635F5C on Region (countryId, regionCode)
go
create index IX_60C0214E on Region (uuid_, companyId)
go

create unique index IX_A149763D on RegionLocalization (regionId, languageId)
go

create unique index IX_8BD6BCA7 on Release_ (servletContextName)
go

create index IX_1A1F5458 on Repository (groupId, ctCollectionId)
go
create unique index IX_97B21AA on Repository (groupId, name, portletId, ctCollectionId)
go
create index IX_4D554D02 on Repository (uuid_, companyId, ctCollectionId)
go
create index IX_487DC962 on Repository (uuid_, ctCollectionId)
go
create unique index IX_4009E884 on Repository (uuid_, groupId, ctCollectionId)
go

create index IX_F458F385 on RepositoryEntry (repositoryId, ctCollectionId)
go
create unique index IX_BC798E7 on RepositoryEntry (repositoryId, mappedId, ctCollectionId)
go
create index IX_D6ED81C0 on RepositoryEntry (uuid_, companyId, ctCollectionId)
go
create index IX_DE371F64 on RepositoryEntry (uuid_, ctCollectionId)
go
create unique index IX_9F0434C2 on RepositoryEntry (uuid_, groupId, ctCollectionId)
go

create unique index IX_EDB9986E on ResourceAction (name, actionId)
go

create index IX_9A838EC7 on ResourcePermission (companyId, name, scope, primKey, ctCollectionId)
go
create unique index IX_A9FF4B2C on ResourcePermission (companyId, name, scope, primKey, roleId, ctCollectionId)
go
create index IX_829B8423 on ResourcePermission (companyId, name, scope, roleId, ctCollectionId)
go
create index IX_490017A2 on ResourcePermission (companyId, primKey, ctCollectionId)
go
create index IX_2FABAAC8 on ResourcePermission (companyId, scope, primKey, ctCollectionId)
go
create index IX_FABE6981 on ResourcePermission (ctCollectionId)
go
create index IX_6AD73500 on ResourcePermission (name, ctCollectionId)
go
create index IX_3078CBE6 on ResourcePermission (roleId, ctCollectionId)
go
create index IX_F3870DDF on ResourcePermission (scope, ctCollectionId)
go

create unique index IX_C0F6BCAC on Role_ (companyId, classNameId, classPK, ctCollectionId)
go
create index IX_4EA65517 on Role_ (companyId, ctCollectionId)
go
create unique index IX_4CC99816 on Role_ (companyId, name, ctCollectionId)
go
create index IX_7037255A on Role_ (companyId, type_, ctCollectionId)
go
create index IX_B482E6EC on Role_ (name, ctCollectionId)
go
create index IX_18A86359 on Role_ (subtype, ctCollectionId)
go
create index IX_FFA7B144 on Role_ (type_, ctCollectionId)
go
create index IX_D8DA3062 on Role_ (type_, subtype, ctCollectionId)
go
create index IX_411F50A1 on Role_ (uuid_, companyId, ctCollectionId)
go
create index IX_EFF1D323 on Role_ (uuid_, ctCollectionId)
go

create unique index IX_4F0315B8 on ServiceComponent (buildNamespace, buildNumber)
go

create index IX_9E7AC81A on SocialActivity (activitySetId, ctCollectionId)
go
create index IX_AD0B0FB5 on SocialActivity (classNameId, classPK, ctCollectionId)
go
create index IX_90E6DCFC on SocialActivity (classNameId, classPK, type_, ctCollectionId)
go
create index IX_5AD306C4 on SocialActivity (companyId, ctCollectionId)
go
create index IX_A9CF2AC6 on SocialActivity (groupId, ctCollectionId)
go
create index IX_9C9CB625 on SocialActivity (groupId, userId, classNameId, classPK, type_, receiverUserId, ctCollectionId)
go
create unique index IX_24810327 on SocialActivity (groupId, userId, createDate, classNameId, classPK, type_, receiverUserId, ctCollectionId)
go
create index IX_A57E31D2 on SocialActivity (mirrorActivityId, classNameId, classPK, ctCollectionId)
go
create index IX_28C22ABD on SocialActivity (mirrorActivityId, ctCollectionId)
go
create index IX_E948429 on SocialActivity (receiverUserId, ctCollectionId)
go
create index IX_96BE971A on SocialActivity (userId, ctCollectionId)
go

create index IX_5DE7864F on SocialActivityAchievement (groupId, ctCollectionId)
go
create index IX_CAFEFF4E on SocialActivityAchievement (groupId, name, ctCollectionId)
go
create index IX_38BEA989 on SocialActivityAchievement (groupId, userId, ctCollectionId)
go
create unique index IX_5ED94F08 on SocialActivityAchievement (groupId, userId, name, ctCollectionId)
go

create index IX_BDC6A299 on SocialActivityCounter (classNameId, classPK, ctCollectionId)
go
create unique index IX_8F6B63C5 on SocialActivityCounter (groupId, classNameId, classPK, name, ownerType, endPeriod, ctCollectionId)
go
create unique index IX_D520F00C on SocialActivityCounter (groupId, classNameId, classPK, name, ownerType, startPeriod, ctCollectionId)
go
create index IX_B7252B62 on SocialActivityCounter (groupId, classNameId, classPK, ownerType, ctCollectionId)
go
create index IX_7ACAB562 on SocialActivityCounter (groupId, ctCollectionId)
go

create index IX_D800658 on SocialActivityLimit (classNameId, classPK, ctCollectionId)
go
create index IX_197F2743 on SocialActivityLimit (groupId, ctCollectionId)
go
create unique index IX_4A636E75 on SocialActivityLimit (groupId, userId, classNameId, classPK, activityType, activityCounterName, ctCollectionId)
go
create index IX_710E96FD on SocialActivityLimit (userId, ctCollectionId)
go

create index IX_49DD2872 on SocialActivitySet (classNameId, classPK, type_, ctCollectionId)
go
create index IX_34A94D3C on SocialActivitySet (groupId, ctCollectionId)
go
create index IX_EF8C463D on SocialActivitySet (groupId, userId, classNameId, type_, ctCollectionId)
go
create index IX_F4E22E1B on SocialActivitySet (groupId, userId, type_, ctCollectionId)
go
create index IX_EF377278 on SocialActivitySet (userId, classNameId, classPK, type_, ctCollectionId)
go
create index IX_A37B4DE4 on SocialActivitySet (userId, ctCollectionId)
go

create index IX_35A9252B on SocialActivitySetting (groupId, activityType, ctCollectionId)
go
create index IX_D0E7F399 on SocialActivitySetting (groupId, classNameId, activityType, ctCollectionId)
go
create index IX_4FC6CD18 on SocialActivitySetting (groupId, classNameId, activityType, name, ctCollectionId)
go
create index IX_11AAEF7C on SocialActivitySetting (groupId, classNameId, ctCollectionId)
go
create index IX_6B06688E on SocialActivitySetting (groupId, ctCollectionId)
go

create index IX_60BA2F7 on SocialRelation (companyId, ctCollectionId)
go
create index IX_2CB87B7A on SocialRelation (companyId, type_, ctCollectionId)
go
create index IX_A29EEF24 on SocialRelation (type_, ctCollectionId)
go
create index IX_BDCE8C2A on SocialRelation (userId1, ctCollectionId)
go
create index IX_3A6962E7 on SocialRelation (userId1, type_, ctCollectionId)
go
create index IX_5A757CEE on SocialRelation (userId1, userId2, ctCollectionId)
go
create unique index IX_D97ACDA3 on SocialRelation (userId1, userId2, type_, ctCollectionId)
go
create index IX_8B78EDEB on SocialRelation (userId2, ctCollectionId)
go
create index IX_3C42B606 on SocialRelation (userId2, type_, ctCollectionId)
go
create index IX_FDA0A6C1 on SocialRelation (uuid_, companyId, ctCollectionId)
go
create index IX_92E91103 on SocialRelation (uuid_, ctCollectionId)
go

create index IX_A776F23B on SocialRequest (classNameId, classPK, ctCollectionId)
go
create index IX_EB193CE5 on SocialRequest (classNameId, classPK, type_, receiverUserId, status, ctCollectionId)
go
create index IX_9E3B7BFE on SocialRequest (companyId, ctCollectionId)
go
create index IX_B626432F on SocialRequest (receiverUserId, ctCollectionId)
go
create index IX_9E789515 on SocialRequest (receiverUserId, status, ctCollectionId)
go
create unique index IX_EF4BB505 on SocialRequest (userId, classNameId, classPK, type_, receiverUserId, ctCollectionId)
go
create index IX_D54872A2 on SocialRequest (userId, classNameId, classPK, type_, status, ctCollectionId)
go
create index IX_8CAABC20 on SocialRequest (userId, ctCollectionId)
go
create index IX_59718D06 on SocialRequest (userId, status, ctCollectionId)
go
create index IX_58C2E7DA on SocialRequest (uuid_, companyId, ctCollectionId)
go
create index IX_684858A on SocialRequest (uuid_, ctCollectionId)
go
create unique index IX_350595C on SocialRequest (uuid_, groupId, ctCollectionId)
go

create index IX_46E892C on SystemEvent (groupId, classNameId, classPK, ctCollectionId)
go
create index IX_6C051FA5 on SystemEvent (groupId, classNameId, classPK, type_, ctCollectionId)
go
create index IX_E9FA8197 on SystemEvent (groupId, ctCollectionId)
go
create index IX_C009825D on SystemEvent (groupId, systemEventSetKey, ctCollectionId)
go

create index IX_713531A3 on Team (companyId, ctCollectionId)
go
create index IX_622C8165 on Team (groupId, ctCollectionId)
go
create unique index IX_D424D1E4 on Team (groupId, name, ctCollectionId)
go
create index IX_14857E95 on Team (uuid_, companyId, ctCollectionId)
go
create index IX_FC1CD5AF on Team (uuid_, ctCollectionId)
go
create unique index IX_1AAF62D7 on Team (uuid_, groupId, ctCollectionId)
go

create index IX_1E8DFB2E on Ticket (classNameId, classPK, type_)
go
create index IX_8BACD0AA on Ticket (companyId, classNameId, classPK, type_)
go
create index IX_B2468446 on Ticket (key_)
go

create index IX_E8AD6A2C on UserGroup (companyId, ctCollectionId)
go
create index IX_544FAE0D on UserGroup (companyId, externalReferenceCode, ctCollectionId)
go
create unique index IX_3F4FC96B on UserGroup (companyId, name, ctCollectionId)
go
create index IX_FFCDFCE5 on UserGroup (companyId, parentUserGroupId, ctCollectionId)
go
create index IX_9F5F49EC on UserGroup (uuid_, companyId, ctCollectionId)
go
create index IX_C990BAB8 on UserGroup (uuid_, ctCollectionId)
go

create index IX_CF59F0C1 on UserGroupGroupRole (groupId, ctCollectionId)
go
create index IX_61B91326 on UserGroupGroupRole (groupId, roleId, ctCollectionId)
go
create index IX_92E36EA on UserGroupGroupRole (roleId, ctCollectionId)
go
create index IX_663FBB6 on UserGroupGroupRole (userGroupId, ctCollectionId)
go
create index IX_451514B0 on UserGroupGroupRole (userGroupId, groupId, ctCollectionId)
go
create unique index IX_B384D815 on UserGroupGroupRole (userGroupId, groupId, roleId, ctCollectionId)
go

create index IX_813D2FD8 on UserGroupRole (groupId, ctCollectionId)
go
create index IX_AA134B3D on UserGroupRole (groupId, roleId, ctCollectionId)
go
create index IX_EEB38F3 on UserGroupRole (roleId, ctCollectionId)
go
create index IX_21D2A7C8 on UserGroupRole (userId, ctCollectionId)
go
create index IX_AA91DCDE on UserGroupRole (userId, groupId, ctCollectionId)
go
create unique index IX_F8059243 on UserGroupRole (userId, groupId, roleId, ctCollectionId)
go

create index IX_2AC5356C on UserGroups_Teams (companyId)
go
create index IX_7F187E63 on UserGroups_Teams (userGroupId)
go

create unique index IX_41A32E0D on UserIdMapper (type_, externalUserId)
go
create unique index IX_D1C44A6E on UserIdMapper (userId, type_)
go

create unique index IX_8B6E3ACE on UserNotificationDelivery (userId, portletId, classNameId, notificationType, deliveryType)
go

create index IX_BF29100B on UserNotificationEvent (type_)
go
create index IX_A6BAFDFE on UserNotificationEvent (uuid_, companyId)
go

create index IX_29BA1CF5 on UserTracker (companyId)
go
create index IX_46B0AE8E on UserTracker (sessionId)
go
create index IX_E4EFBA8D on UserTracker (userId)
go

create index IX_14D8BCC0 on UserTrackerPath (userTrackerId)
go

create index IX_51338B6A on User_ (companyId, createDate, ctCollectionId)
go
create index IX_A09EEAB5 on User_ (companyId, createDate, modifiedDate, ctCollectionId)
go
create index IX_53E4FDAC on User_ (companyId, ctCollectionId)
go
create unique index IX_6C9F41D8 on User_ (companyId, emailAddress, ctCollectionId)
go
create index IX_210A2A8D on User_ (companyId, externalReferenceCode, ctCollectionId)
go
create index IX_F0BD8F61 on User_ (companyId, facebookId, ctCollectionId)
go
create index IX_66712F3F on User_ (companyId, googleUserId, ctCollectionId)
go
create index IX_79724177 on User_ (companyId, modifiedDate, ctCollectionId)
go
create index IX_952F78E5 on User_ (companyId, openId, ctCollectionId)
go
create unique index IX_EEC1E477 on User_ (companyId, screenName, ctCollectionId)
go
create index IX_BC478292 on User_ (companyId, status, ctCollectionId)
go
create unique index IX_C15FB5CF on User_ (contactId, ctCollectionId)
go
create index IX_E1D5EE24 on User_ (emailAddress, ctCollectionId)
go
create index IX_64D54302 on User_ (portraitId, ctCollectionId)
go
create index IX_B5A2C66C on User_ (uuid_, companyId, ctCollectionId)
go
create index IX_EA9E0E38 on User_ (uuid_, ctCollectionId)
go

create index IX_3499B657 on Users_Groups (companyId)
go
create index IX_F10B6C6B on Users_Groups (userId)
go

create index IX_5FBB883C on Users_Orgs (companyId)
go
create index IX_FB646CA6 on Users_Orgs (userId)
go

create index IX_F987A0DC on Users_Roles (companyId)
go
create index IX_C1A01806 on Users_Roles (userId)
go

create index IX_799F8283 on Users_Teams (companyId)
go
create index IX_A098EFBF on Users_Teams (userId)
go

create index IX_BB65040C on Users_UserGroups (companyId)
go
create index IX_66FF2503 on Users_UserGroups (userGroupId)
go

create index IX_741D01F2 on VirtualHost (companyId, layoutSetId, ctCollectionId)
go
create unique index IX_76A64FBE on VirtualHost (hostname, ctCollectionId)
go

create unique index IX_97DFA146 on WebDAVProps (classNameId, classPK)
go

create index IX_F75690BB on Website (userId)
go
create index IX_712BCD35 on Website (uuid_, companyId)
go

create index IX_6483FCD4 on WorkflowDefinitionLink (companyId, ctCollectionId)
go
create index IX_701BF76D on WorkflowDefinitionLink (companyId, workflowDefinitionName, workflowDefinitionVersion, ctCollectionId)
go
create index IX_B6C5C563 on WorkflowDefinitionLink (groupId, companyId, classNameId, classPK, ctCollectionId)
go
create index IX_65327B4C on WorkflowDefinitionLink (groupId, companyId, classNameId, classPK, typePK, ctCollectionId)
go
create index IX_5E9866FC on WorkflowDefinitionLink (groupId, companyId, classNameId, ctCollectionId)
go
create index IX_52C09F91 on WorkflowDefinitionLink (groupId, companyId, classPK, ctCollectionId)
go

create index IX_688A5865 on WorkflowInstanceLink (groupId, companyId, classNameId, classPK, ctCollectionId)
go
create index IX_6E4C09BA on WorkflowInstanceLink (groupId, companyId, classNameId, ctCollectionId)
go
